Update Consent Template
curl --request PUT \
--url https://api.lendflow.com/api/consent_templates/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "b",
"content": [],
"is_default": true,
"force_default": false
}
'import requests
url = "https://api.lendflow.com/api/consent_templates/{id}"
payload = {
"name": "b",
"content": [],
"is_default": True,
"force_default": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'b', content: [], is_default: true, force_default: false})
};
fetch('https://api.lendflow.com/api/consent_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"name": "Ms. Audra Crooks II",
"client_id": null,
"is_default": null,
"is_lendflow_template": true,
"created_at": null,
"updated_at": null
}
}Consent Templates
Update Consent Template
Updates a consent template’s details and content. The response includes the template’s full content.
PUT
/
api
/
consent_templates
/
{id}
Update Consent Template
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the consent template.
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?